// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
textures/cherbourg/cherbourg_sky
{
	nocompress
	qer_editorimage textures/skies/topclouds.tga
	q3map_lightrgb 0.01 0.01 0.1
	q3map_sun 0.78 0.4 0.01 100 35 1.68
	q3map_skylight 50 3
	q3map_nofog
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
 
	sunshader textures/cherbourg/cherbourg_sun
 
	
	{	fog off
		map textures/cherbourg/cherbourg_sky.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}

	{
		fog off
		clampmap textures/cherbourg/cherbourg_sky_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		// rgbGen identityLighting
		//rgbGen const ( 0.6 0.6 0.6 ) 
		rgbGen const ( 0.4 0.4 0.4 ) 
	}
}
textures/cherbourg/cherbourg_sun
{
	cull none
	q3map_nofog
	nofog
	{
		map textures/cherbourg/cherbourg_sun.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcMod scale 0.75 0.75
		rgbGen identityLighting
	}
}


textures/cherbourg/terrain_0
{
	q3map_baseshader textures/cherbourg/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/dirt3.tga
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cherbourg/terrain_1
{
	q3map_baseshader textures/cherbourg/terrain_base
	q3map_foliage models/foliage/weed.md3 1.0 16 0.010 0
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/temperate_sd/master_grass_dirt3.tga
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cherbourg/terrain_2
{
	q3map_baseshader textures/cherbourg/terrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/grass_dirt2.tga
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/cherbourg/terrain_0to1
{
	q3map_baseshader textures/cherbourg/terrain_base
	{
		map textures/temperate_sd/dirt3.tga
		tcMod scale 0.25 0.25
	}
	{
		map textures/temperate_sd/grass_dirt2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cherbourg/terrain_0to2
{
	q3map_baseshader textures/cherbourg/terrain_base
	{
		map textures/temperate_sd/dirt3.tga
		tcMod scale 0.25 0.25
	}
	{
		map textures/temperate_sd/grass_dirt2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cherbourg/terrain_1to2
{
	q3map_baseshader textures/cherbourg/terrain_base
	{
		map textures/temperate_sd/master_grass_dirt3.tga
		tcMod scale 0.25 0.25
	}
	{
		map textures/temperate_sd/grass_dirt2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cherbourg/terrain_base
{
	q3map_lightmapaxis z
	q3map_lightmapmergable
	q3map_lightmapsize 512 512
	q3map_tcGen ivector ( 640 0 0 ) ( 0 640 0 )
}

models/foliage/weed
{
	surfaceparm trans
	surfaceparm pointlight

	cull disable

	// distanceCull <inner&rt; <outer&rt; <alpha threshold&rt;
	distanceCull 256 1024 0.4

	{
		map models/foliage/weed.md3
		alphaFunc GE128
		rgbGen exactVertex
		alphaGen vertex
	}
}

textures/cherbourg/wood_ladder
{
	qer_editorimage textures/cherbourg/wood_ladder.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm woodsteps
	surfaceparm pointlight
	surfaceparm trans
	nopicmip
	implicitMask -
	surfaceparm ladder
	surfaceparm playerclip
}

textures/cherbourg/window_1
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm pointlight
	implicitBlend -
}

textures/cherbourg/win_stainedglass
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm pointlight
	implicitBlend -
}

textures/cherbourg/cherbourg_fog
{
	qer_editorimage textures/cherbourg/cherbourg_fog.tga
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	
	fogparms ( 0.08 0.08 0.1 ) 5356
}

textures/cherbourg/fence_spiked
{
	qer_trans 0.95
	qer_editorimage textures/cherbourg/fence_spiked.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm clipmissile
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/cherbourg/fence_spiked.tga
}

textures/cherbourg/truss_wood
{
	qer_trans 0.95
	qer_editorimage textures/cherbourg/truss_wood.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm clipmissile
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm woodsteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/cherbourg/truss_wood.tga
}

